#include <gtest/gtest.h>
#include <rclcpp/rclcpp.hpp>
#include "brain/cerebrum_node.hpp"

TEST(CerebrumNode, InitializesBTAndTimers)
{
  rclcpp::init(0, nullptr);
  auto node = std::make_shared<brain::CerebrumNode>(rclcpp::NodeOptions());
  rclcpp::executors::SingleThreadedExecutor exec;
  exec.add_node(node);
  exec.spin_some();
  SUCCEED();
  rclcpp::shutdown();
}
